'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _forEach2 = require('lodash/forEach');

var _forEach3 = _interopRequireDefault(_forEach2);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _fixText = require('./fixText');

var _fixText2 = _interopRequireDefault(_fixText);

var _syntaxMap = require('./../syntaxMap');

var _syntaxMap2 = _interopRequireDefault(_syntaxMap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (filePaths) {
    var report = {
        results: []
    };

    (0, _forEach3.default)(filePaths, function (filePath) {
        var extensionName = _path2.default.extname(filePath);

        if (_syntaxMap2.default[extensionName]) {
            var result = {};

            var text = _fs2.default.readFileSync(filePath, 'utf8');

            text = (0, _fixText2.default)(text, {
                syntax: _syntaxMap2.default[extensionName]
            });
            text = _fs2.default.writeFileSync(filePath, text);

            result.filePath = filePath;
            result.output = text;

            report.results.push(result);
        } else {
            /* eslint-disable no-console */
            console.warn('Ignoring file "' + filePath + '". No syntax mapped to "' + extensionName + '" extension.');
            /* eslint-enable no-console */
        }
    });

    return report;
};

module.exports = exports['default'];
//# sourceMappingURL=fixFiles.js.map
