'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _forEach2 = require('lodash/forEach');

var _forEach3 = _interopRequireDefault(_forEach2);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _lintText = require('./lintText');

var _lintText2 = _interopRequireDefault(_lintText);

var _syntaxMap = require('./../syntaxMap');

var _syntaxMap2 = _interopRequireDefault(_syntaxMap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (filePaths) {
    var report = {
        errorCount: 0,
        results: [],
        warningCount: 0
    };

    (0, _forEach3.default)(filePaths, function (filePath) {
        var extensionName = _path2.default.extname(filePath);

        if (_syntaxMap2.default[extensionName]) {
            var text = _fs2.default.readFileSync(filePath, {
                encoding: 'utf8'
            });

            var result = (0, _lintText2.default)(text, {
                syntax: _syntaxMap2.default[extensionName]
            });

            result.filePath = filePath;

            report.results.push(result);
            report.errorCount += result.errorCount;
            report.warningCount += result.warningCount;
        } else {
            /* eslint-disable no-console */
            console.warn('Ignoring file "' + filePath + '". No syntax mapped to "' + extensionName + '" extension.');
            /* eslint-enable no-console */
        }
    });

    return report;
};

module.exports = exports['default'];
//# sourceMappingURL=lintFiles.js.map
